weka.classifiers.trees.ht

## Class InfoGainSplitMetric

- java.lang.Object
- - weka.classifiers.trees.ht.SplitMetric
  - - weka.classifiers.trees.ht.InfoGainSplitMetric

- All Implemented Interfaces:
    java.io.Serializable

      public class InfoGainSplitMetric
      extends SplitMetric
      implements java.io.Serializable

  Implements the info gain splitting criterion
  Version:
    $Revision: 9720 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoGainSplitMetric(double minFracWeightForTwoBranches)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `evaluateSplit(java.util.Map<java.lang.String,WeightMass> preDist, java.util.List<java.util.Map<java.lang.String,WeightMass>> postDist)` Evaluate the merit of a split
    `double` | `getMetricRange(java.util.Map<java.lang.String,WeightMass> preDist)` Get the range of the splitting metric

    - ### Methods inherited from class weka.classifiers.trees.ht.SplitMetric

      `sum`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfoGainSplitMetric

          public InfoGainSplitMetric(double minFracWeightForTwoBranches)

  - ### Method Detail

    - #### evaluateSplit

          public double evaluateSplit(java.util.Map<java.lang.String,WeightMass> preDist,
                             java.util.List<java.util.Map<java.lang.String,WeightMass>> postDist)

      Description copied from class: `SplitMetric`
      Evaluate the merit of a split
      Specified by:
        `evaluateSplit` in class `SplitMetric`
      Parameters:
        `preDist` - the class distribution before the split
        `postDist` - the class distributions after the split
      Returns:
        the merit of the split

    - #### getMetricRange

          public double getMetricRange(java.util.Map<java.lang.String,WeightMass> preDist)

      Description copied from class: `SplitMetric`
      Get the range of the splitting metric
      Specified by:
        `getMetricRange` in class `SplitMetric`
      Parameters:
        `preDist` - the pre-split class distribution
      Returns:
        the range of the splitting metric